
Redmine - Defect #4073

Editing/deleting cross-projects custom query mistakenly redirects to "All issues" page

2009-10-21 17:56 - S Reid

Status: Confirmed Start date: 2009-10-21

Priority: Low Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

If I delete a custom query, the project menu dissapears until I navigate to another page and back again (browser refresh does not

work).

History

#1 - 2009-10-24 13:09 - Jean-Philippe Lang

Can not reproduce.

Please read SubmittingBugs and give steps to reproduce.

#2 - 2009-10-24 16:09 - S Reid

It seems to be related to issue #4072.

I create a new custom query (e.g. status == open, version != backlog) without ticking "for all projects" and save it. Then edit it, enable "for all projects"

and save it again.

When I delete this query the project tabs disappear.

As before using Redmine 0.8.4, which I understand includes the required Rails version. Database is MySQL.

#3 - 2009-10-25 13:49 - Jean-Philippe Lang

- Priority changed from Normal to Low

#4 - 2013-01-14 10:26 - Daniel Felix

- Status changed from New to Needs feedback

Well I can't reproduce this with redmine 2.2.1.

Please give some feedback if this is resolved with #4072?

#5 - 2013-05-11 04:02 - Jean-Baptiste Barth

- Subject changed from Delete custom query / project menu. to Editing/deleting cross-projects custom query mistakenly redirects to "All issues" page

- Status changed from Needs feedback to Confirmed

- Assignee set to Jean-Baptiste Barth

- Affected version (unused) changed from 0.8.4 to devel

- Affected version deleted (0.8.4)

I can reproduce on trunk. If you delete a cross-project object (a custom query for all projects), you're redirected back to the cross-project version of

"/issues" instead of the project where you clicked on the "delete" action. Same if you edit a custom query with "for all projects" checked.

I'll try to fix that when I have the time, shouldn't be that hard. If anyone else wants to propose a patch with tests, you're welcome.
